from sqlalchemy.orm import Session
from .models import order_info_linepay
from .schemas import order_info_linepay as orderschema

def get_order(db: Session, id: int):
    return db.query(order_info_linepay).filter(order_info_linepay.id == id)

def get_orders(db: Session, skip: int = 0, limit: int = 100):
    return db.query(order_info_linepay).offset(skip).limit(limit).all()

def create_order(db: Session, order_in: orderschema):
    create_order = order_info_linepay(**order_in.dict())
    db.add(create_order)
    db.commit()
    db.refresh(create_order)
    return create_order


## this is for crud method